
function makeImmutable(tbl)
    return setmetatable({}, {
        __index = tbl,
        __newindex = function()
            error('Cannot change config')
        end,
        __metatable = true,
    })
end

config = {}

require('tiers')
require('colors')

makeImmutable(config)